apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: mongo-db
  labels:
    app: mongo-db
spec:
  serviceName: mongo-db
  replicas: 2
  selector:
    matchLabels:
      app: mongo-db
  template:
    metadata:
      labels:
        app: mongo-db
    spec:
      containers:
        -
          name: mongo-db
          imagePullPolicy: Never
          image: mongodb
          ports:
            -
              containerPort: 27017
              protocol: TCP
          volumeMounts:
          - mountPath: /data/db
            name: mongo-claim
      restartPolicy: Always
      serviceAccountName: ""      
      volumes:
      - name: mongo-claim
        persistentVolumeClaim:
            claimName: mongo-claim            
  volumeClaimTemplates:
    - metadata:
        name: mongo-claim
      spec:
        storageClassName: "standard"
        accessModes: ["ReadWriteOnce"]
        resources:
          requests:
            storage: 1Gi
---
kind: Service
apiVersion: v1
metadata:
    name: mongo-db
    labels: 
        app: mongo-db
spec:
    selector:
        app: mongo-db
    clusterIP: None
    ports:
    -   name: tcp-27017
        protocol: TCP
        port: 27017
        targetPort: 27017